## org.apache.commons.math.genetics
Interface MutationPolicy

All Known Implementing Classes:
  BinaryMutation, RandomKeyMutation

    public interface MutationPolicy

Algorithm used to mutate a chrommosome.

Since:
  2.0
Version:
  $Revision: 811685 $ $Date: 2009-09-05 13:36:48 -0400 (Sat, 05 Sep 2009) $

Method Summary
`Chromosome` `mutate(Chromosome original)` Mutate the given chromosome.

Method Detail

### mutate

    Chromosome mutate(Chromosome original)

  Mutate the given chromosome.

  Parameters:
    `original` - the original chromosome.
  Returns:
    the mutated chromomsome.

Copyright (c) 2003-2010 Apache Software Foundation